Package net.md_5.bungee.api.chat.objects

# Class PlayerObject

java.lang.Object
net.md_5.bungee.api.chat.objects.PlayerObject

All Implemented Interfaces:
  `ChatObject`

public final class PlayerObject extends Object implements ChatObject

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlayerObject(@NonNull String name)`
  `PlayerObject(@NonNull UUID uuid)`
  `PlayerObject(@NonNull Profile profile, Boolean hat)`
  Creates a new `PlayerObject` instance.
  `PlayerObject(@NonNull Property[] properties)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `Boolean`
  `getHat()`
  If true, a hat layer will be rendered on the head.
  `@NonNull Profile`
  `getProfile()`
  The profile of the player.
  `int`
  `hashCode()`
  `void`
  `setHat(Boolean hat)`
  If true, a hat layer will be rendered on the head.
  `void`
  `setProfile(@NonNull Profile profile)`
  The profile of the player.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PlayerObject

    public PlayerObject(@NonNull @NonNull String name)

  - ### PlayerObject

    public PlayerObject(@NonNull @NonNull UUID uuid)

  - ### PlayerObject

    public PlayerObject(@NonNull @NonNull Property[] properties)

  - ### PlayerObject

    public PlayerObject(@NonNull @NonNull Profile profile, Boolean hat)
    Creates a new `PlayerObject` instance.
    Parameters:
      `profile` - The profile of the player.
      `hat` - If true, a hat layer will be rendered on the head. (default: true)

- ## Method Details

  - ### getProfile

    @NonNull public @NonNull Profile getProfile()
    The profile of the player.

  - ### getHat

    public Boolean getHat()
    If true, a hat layer will be rendered on the head. (default: true)

  - ### setProfile

    public void setProfile(@NonNull @NonNull Profile profile)
    The profile of the player.

  - ### setHat

    public void setHat(Boolean hat)
    If true, a hat layer will be rendered on the head. (default: true)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`